CREATE TABLE hns_unsafe_act_evt_detail (
    UNSAFE_ACT_EVT_DETAIL_ID    NUMBER(18, 0),
    INCIDENT_DETAIL_ID          NUMBER(18, 0)    NOT NULL,
    UNSAFE_ACT_TYPE_CODE        VARCHAR2(120),
    ATTRIBUTE_CATEGORY          VARCHAR2(120),
    ATTRIBUTE1                  VARCHAR2(600),
    ATTRIBUTE2                  VARCHAR2(600),
    ATTRIBUTE3                  VARCHAR2(600),
    ATTRIBUTE4                  VARCHAR2(600),
    ATTRIBUTE5                  VARCHAR2(600),
    ATTRIBUTE6                  VARCHAR2(600),
    ATTRIBUTE7                  VARCHAR2(600),
    ATTRIBUTE8                  VARCHAR2(600),
    ATTRIBUTE9                  VARCHAR2(600),
    ATTRIBUTE10                 VARCHAR2(600),
    ATTRIBUTE11                 VARCHAR2(600),
    ATTRIBUTE12                 VARCHAR2(600),
    ATTRIBUTE13                 VARCHAR2(600),
    ATTRIBUTE14                 VARCHAR2(600),
    ATTRIBUTE15                 VARCHAR2(600),
    ATTRIBUTE16                 VARCHAR2(600),
    ATTRIBUTE17                 VARCHAR2(600),
    ATTRIBUTE18                 VARCHAR2(600),
    ATTRIBUTE19                 VARCHAR2(600),
    ATTRIBUTE20                 VARCHAR2(600),
    ATTRIBUTE21                 VARCHAR2(600),
    ATTRIBUTE22                 VARCHAR2(600),
    ATTRIBUTE23                 VARCHAR2(600),
    ATTRIBUTE24                 VARCHAR2(600),
    ATTRIBUTE25                 VARCHAR2(600),
    ATTRIBUTE26                 VARCHAR2(600),
    ATTRIBUTE27                 VARCHAR2(600),
    ATTRIBUTE28                 VARCHAR2(600),
    ATTRIBUTE29                 VARCHAR2(600),
    ATTRIBUTE30                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1           NUMBER       ,
    ATTRIBUTE_NUMBER2           NUMBER       ,
    ATTRIBUTE_NUMBER3           NUMBER       ,
    ATTRIBUTE_NUMBER4           NUMBER       ,
    ATTRIBUTE_NUMBER5           NUMBER       ,
    ATTRIBUTE_NUMBER6           NUMBER       ,
    ATTRIBUTE_NUMBER7           NUMBER       ,
    ATTRIBUTE_NUMBER8           NUMBER       ,
    ATTRIBUTE_NUMBER9           NUMBER       ,
    ATTRIBUTE_NUMBER10          NUMBER       ,
    ATTRIBUTE_TIMESTAMP1        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP2        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP3        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP4        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP5        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP6        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP7        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP8        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP9        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP10       TIMESTAMP(6) ,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    DELETED_FLAG                VARCHAR2(4)  ,
    UNSAFE_ACT_EVT_DETAIL_ID    NUMBER(18, 0),
    INCIDENT_DETAIL_ID          NUMBER(18, 0)    NOT NULL,
    UNSAFE_ACT_TYPE_CODE        VARCHAR2(120),
    ATTRIBUTE_CATEGORY          VARCHAR2(120),
    ATTRIBUTE1                  VARCHAR2(600),
    ATTRIBUTE2                  VARCHAR2(600),
    ATTRIBUTE3                  VARCHAR2(600),
    ATTRIBUTE4                  VARCHAR2(600),
    ATTRIBUTE5                  VARCHAR2(600),
    ATTRIBUTE6                  VARCHAR2(600),
    ATTRIBUTE7                  VARCHAR2(600),
    ATTRIBUTE8                  VARCHAR2(600),
    ATTRIBUTE9                  VARCHAR2(600),
    ATTRIBUTE10                 VARCHAR2(600),
    ATTRIBUTE11                 VARCHAR2(600),
    ATTRIBUTE12                 VARCHAR2(600),
    ATTRIBUTE13                 VARCHAR2(600),
    ATTRIBUTE14                 VARCHAR2(600),
    ATTRIBUTE15                 VARCHAR2(600),
    ATTRIBUTE16                 VARCHAR2(600),
    ATTRIBUTE17                 VARCHAR2(600),
    ATTRIBUTE18                 VARCHAR2(600),
    ATTRIBUTE19                 VARCHAR2(600),
    ATTRIBUTE20                 VARCHAR2(600),
    ATTRIBUTE21                 VARCHAR2(600),
    ATTRIBUTE22                 VARCHAR2(600),
    ATTRIBUTE23                 VARCHAR2(600),
    ATTRIBUTE24                 VARCHAR2(600),
    ATTRIBUTE25                 VARCHAR2(600),
    ATTRIBUTE26                 VARCHAR2(600),
    ATTRIBUTE27                 VARCHAR2(600),
    ATTRIBUTE28                 VARCHAR2(600),
    ATTRIBUTE29                 VARCHAR2(600),
    ATTRIBUTE30                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1           NUMBER       ,
    ATTRIBUTE_NUMBER2           NUMBER       ,
    ATTRIBUTE_NUMBER3           NUMBER       ,
    ATTRIBUTE_NUMBER4           NUMBER       ,
    ATTRIBUTE_NUMBER5           NUMBER       ,
    ATTRIBUTE_NUMBER6           NUMBER       ,
    ATTRIBUTE_NUMBER7           NUMBER       ,
    ATTRIBUTE_NUMBER8           NUMBER       ,
    ATTRIBUTE_NUMBER9           NUMBER       ,
    ATTRIBUTE_NUMBER10          NUMBER       ,
    ATTRIBUTE_TIMESTAMP1        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP2        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP3        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP4        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP5        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP6        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP7        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP8        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP9        TIMESTAMP(6) ,
    ATTRIBUTE_TIMESTAMP10       TIMESTAMP(6) ,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    DELETED_FLAG                VARCHAR2(4)  ,
    CONSTRAINT pk_hns_unsafe_act_evt_detail PRIMARY KEY (UNSAFE_ACT_EVT_DETAIL_ID, UNSAFE_ACT_EVT_DETAIL_ID)
);
